# Type Alias TriggerCfg

type TriggerCfg = {
action: string;
channel?: string;
configuration?: any;
description?: string;
id?: number | null;
min_role?: number;
name?: string;
steps?: WorkflowStepCfg[];
table?: AbstractTable;
table_id?: number | null;
table_name?: string;
when_trigger: string;
}

- Defined in model-abstracts/abstract_trigger.ts:27

##### Index

### Properties

action
channel?
configuration?
description?
id?
min_role?
name?
steps?
table?
table_id?
table_name?
when_trigger

## Properties

### action

action: string

- Defined in model-abstracts/abstract_trigger.ts:29

### `Optional` channel

channel?: string

- Defined in model-abstracts/abstract_trigger.ts:35

### `Optional` configuration

configuration?: any

- Defined in model-abstracts/abstract_trigger.ts:37

### `Optional` description

description?: string

- Defined in model-abstracts/abstract_trigger.ts:30

### `Optional` id

id?: number | null

- Defined in model-abstracts/abstract_trigger.ts:36

### `Optional` min_role

min_role?: number

- Defined in model-abstracts/abstract_trigger.ts:38

### `Optional` name

name?: string

- Defined in model-abstracts/abstract_trigger.ts:28

### `Optional` steps

steps?: WorkflowStepCfg[]

- Defined in model-abstracts/abstract_trigger.ts:39

### `Optional` table

table?: AbstractTable

- Defined in model-abstracts/abstract_trigger.ts:33

### `Optional` table_id

table_id?: number | null

- Defined in model-abstracts/abstract_trigger.ts:31

### `Optional` table_name

table_name?: string

- Defined in model-abstracts/abstract_trigger.ts:32

### when_trigger

when_trigger: string

- Defined in model-abstracts/abstract_trigger.ts:34